zonelist_update.c File Reference
`#include "log.h"`
`#include "str.h"`
`#include "utils/kc_helper.h"`
`#include "db/policy.h"`
`#include "clientpipe.h"`
`#include "keystate/zonelist_update.h"`
`#include <libxml/parser.h>`
`#include <libxml/tree.h>`
`#include <limits.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

int | zonelist_update_add (int sockfd, const char *filename, const zone_db_t *zone, int comment)
int | zonelist_update_delete (int sockfd, const char *filename, const zone_db_t *zone, int comment)

## Function Documentation

## zonelist_update_add()

int zonelist_update_add | ( | int | sockfd,
|  | const char * | filename,
|  | const zone_db_t * | zone,
|  | int | comment
| ) |  |

Update a zonelist and add the supplied zone to it.

Parameters

  [in] | sockfd | socket fd.
  [in] | filename | the zonelist filename to write to.
  [in] | zone | a zone_db_t pointer to the zone to add.
  [in] | comment | if non-zero include a comment about the zonelist file.

Returns
  ZONELIST_UPDATE_ERR_* on error otherwise ZONELIST_UPDATE_OK.

Definition at line 228 of file zonelist_update.c.

## zonelist_update_delete()

int zonelist_update_delete | ( | int | sockfd,
|  | const char * | filename,
|  | const zone_db_t * | zone,
|  | int | comment
| ) |  |

Update a zonelist and remove the supplied zone from it.

Parameters

  [in] | sockfd | socket fd.
  [in] | filename | the zonelist filename to write to.
  [in] | zone | a zone_db_t pointer to the zone to remove.
  [in] | comment | if non-zero include a comment about the zonelist file.

Returns
  ZONELIST_UPDATE_ERR_* on error otherwise ZONELIST_UPDATE_OK.

Definition at line 232 of file zonelist_update.c.